<?php

namespace Diamond\Modules\AdminBreadCrumbs;


use Core\Breadcrumb\Breadcrumb;

class AdminBreadCrumbs extends \Core\ModuleController
{
    protected $breadcrumb;

    public function __construct(Breadcrumb $breadcrumb)
    {
        $this->breadcrumb = $breadcrumb;
    }

    public function process(): string
    {

        return $this->render([
            'items' => $this->breadcrumb->getCrumbs()
        ]);
    }

}
